
SETUP_INFO = dict(
    name = 'snaprotator',
    version = '6.2.18',
    author = 'Mike Selivanov',
    author_email = 'mikes@infinidat.com',

    url = 'https://git.infinidat.com/ps/snaprotator',
    license = 'PSF',
    description = """Snapshot rotation script for InfiniBox""",
    long_description = """Snapshot rotation scirpt for InfiniBox""",

    # http://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers = [
        "Intended Audience :: Developers",
        "Intended Audience :: System Administrators",
        "License :: OSI Approved :: Python Software Foundation License",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ],

    install_requires = [
'api-object-schema',
'capacity',
'cerberus==0.7.1',
'docopt',
'infi.pyvmomi-wrapper',
'infi.recipe.console-scripts',
'infi.storagemodel',
'infinisdk',
'lockfile',
'logbook',
'schema',
'setuptools'
],
    namespace_packages = [],

    package_dir = {'': 'src'},
    package_data = {'': []},
    include_package_data = True,
    zip_safe = False,

    entry_points = dict(
        console_scripts = ['snaprotator = snaprotator.snaprotator:main'],
        gui_scripts = [],
        ),
)

if SETUP_INFO['url'] is None:
    _ = SETUP_INFO.pop('url')

def setup():
    from setuptools import setup as _setup
    from setuptools import find_packages
    SETUP_INFO['packages'] = find_packages('src')
    _setup(**SETUP_INFO)

if __name__ == '__main__':
    setup()

